namespace DualScreenDemo
{
    public partial class PrimaryForm
    {
        private void GuoYuNewSongButtonHotSong_Click(object sender, EventArgs e)
        {
            // 重置其他按钮背景
            UpdateHotSongButtons(guoYuNewSongButtonHotSong, guoYuNewSongHotSongActiveBackground);

            string query = $"SELECT * FROM song_library_cache WHERE language_name = '國語' ORDER BY `add_date` DESC, `song_counts` DESC LIMIT {Utils.Env.GetInt("HotSongLimit", 100)};";
            var selectedSongs = PrimaryForm.Instance.SearchSongs_Mysql(query);

            currentPage = 0; 
            totalPages = (int)Math.Ceiling((double)selectedSongs.Count / itemsPerPage);

            multiPagePanel.currentPageIndex = 0;
            multiPagePanel.LoadSongs(selectedSongs);
        }
    }
} 